# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section	free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/medor
#  cvs login
#  cvs export -r MEDOR_EXP_1_6_1 expression

Name:		medor-expression
Summary:	Middleware Enabling Distributed Object Requests
Version:	1.6.1
Release:	1jpp
Epoch:		0
URL:		http://medor.objectweb.org/
License:	LGPL
Group:		Development/Libraries/Java
Distribution:   JPackage
Vendor:         JPackage Project
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	junit
BuildRequires:	monolog
Requires:	junit
Requires:	monolog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
MEDOR (Middleware Enabling Distributed Object Requests) allows the
expression, optimisation and evaluation of queries on heterogeneous
distributed objects.  Projection to relational databases, including
complex mapping, is managed through integration with JORM.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n expression

find . -name '*.jar' | xargs rm

build-jar-repository externals \
    junit \
    monolog/ow_monolog

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/medor
for jar in output/dist/lib/*.jar; do
    base=`basename $jar .jar`
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/medor/$base-%{version}.jar
    ln -s $base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/medor/$base.jar
done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/jdoc/medor \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/medor

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Mar 09 2006 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-1jpp
- Merge for update

* Thu Mar 09 2006 Fernando Nasser <fnasser@redhat.com> 0:1.6-1jpp
- First JPP 1.7 build

* Fri Oct 21 2005 Deepak Bhole <dbhole@redhat.com> 0:1.6.1-1jpp_1rh
- Updated version.

* Wed Jul 27 2005 Deepak Bhole <dbhole@redhat.com> 0:1.6-1jpp_1rh
- Updated version.

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:1.5.1-1jpp_1rh
- First Red Hat build.
- Updated version.

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:1.4.2-1jpp_1fc
- Build into Fedora.

* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:1.4.2-1jpp
- Initial build.
